import { cancelDetail1, remindOrder } from "@/apis/order.js"
import { isFunction } from '@/utils/types.js'
// 详细看文档
const order_statsu = {
	'0': '待接单',
	'1': '待付款',
	'2': '交易关闭',
	'5': '交易完成',
	'6': '待发货',
	'7': '待收货',
	'9': '退货退款中',
	'10': '已收货',
	'11': '退款退货审核'
}
const order_statsu_d = {
	
}
const order_mixin = {
	filters: {
		
	},
	methods: {
		// 立即支付
		orderPay() {
			console.log('立即支付')
		},
		
		// 取消订单
		async orderCancel(order_sn, cb) {
			try{
				const { status, data } = await remindOrder(order_sn)
				if(status) {
					cb && isFunction(cb) && cb() 
					this.$toast({title: '订单取消成功'})
				}
			}catch(e){
				this.$toast({title: '取消失败'})
				//TODO handle the exception
			}
		},
		
		// 提醒发货
		async orderRemind() {
			try{
				const { status, data } = await cancelDetail1(order_sn)
				if(status) {
					cb && isFunction(cb) && cb() 
					this.$toast({title: '提醒成功'})
				}
			}catch(e){
				this.$toast({title: '提醒失败'})
				//TODO handle the exception
			}
			console.log('提醒发货')
		},
		
		// 撤销退款退货申请
		async orderRefundAll () {
			try{
				
			}catch(e){
				this.$toast({title: '撤销失败'})
				//TODO handle the exception
			}
			console.log('撤销退款退货申请')
		},
		
		// 撤销退款申请
		async orderRefund() {
			try{
				
			}catch(e){
				this.$toast({title: '撤销失败'})
				//TODO handle the exception
			}
			console.log('撤销退款申请')
		}
	}
}

export default order_mixin